Microsoft призвала пользователей прошлых версий Windows срочно установить вышедшее 14 мая обновление, которое закрывает критическую уязвимость в Remote Desktop Services. Этот баг делает возможным дистанционный запуск кода на Windows XP, Windows 7 и серверных версиях ОС, таких как Windows Server 2003, Windows Server 2008 R2 и Windows Server 2008.

Компания предприняла эти меры предосторожности несмотря на то, что поддержка Windows XP и Windows Server 2003 официально была прекращена. Пользователи XP должны будут загрузить соответствующий апдейт вручную из каталога обновлений Microsoft.

«Эта уязвимость не требует аутентификации и взаимодействия с пользователем, — объясняет Саймон Поуп (Simon Pope), директор по реагированию на инциденты в Microsoft Security Response Center. — Это означает, что любое будущее вредоносное ПО, использующее её, может распространяться с одного уязвимого компьютера на другой аналогично глобальной эпидемии вредоносного ПО WannaCry в 2017 году».

Хотя до сих пор не было отмечено случаев злонамеренного использования этой уязвимости, теперь, с появлением патчей, у хакеров не займёт много времени их обратная разработка и создание вредоносных программ.

Машинам под управлением Windows 8 и Windows 10 такие атаки не страшны, однако в мире все ещё функционируют миллионы компьютеров с Windows 7.

Это уже второй раз, когда Microsoft нарушила традицию и выпустила патчи для более не поддерживаемых ею систем. Впервые она сделал это, чтобы остановить распространение ransomware-программы WannaCry, инфицировавшей компьютеры более чем в 100 странах через дыры в защите старых версий Windows. При этом компания подчёркивает, что лучшим способом защиты является апгрейд на новейший вариант Windows.

Материал «Компьютерное обозрение»